import { FC, MutableRefObject, ReactElement, ReactNode } from 'react';
export interface ResourcesProps {
    field?: string;
    hideFeedback?: boolean;
    hideReleaseNotes?: boolean;
    hideLearnMore?: boolean;
    children?: ReactNode;
    customButton?: (ref: MutableRefObject<HTMLButtonElement | null>, onToggle: () => void) => ReactElement;
}
export declare const Resources: FC<ResourcesProps>;
