import{Button as i,Typography as e}from"@equinor/eds-core-react";import{tokens as o}from"../../../../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{colors as t}from"../../../../../../atoms/style/colors.js";import{spacings as r}from"../../../../../../atoms/style/spacings.js";import a from"styled-components";const{shape:d,elevation:n}=o,s=a.div`
  position: relative;
  display: flex;
  flex-direction: column;
  padding: ${r.xx_large};
  background-color: ${t.ui.background__default.rgba};
  box-shadow: ${n.raised};
  border-radius: ${d.corners.borderRadius};
  overflow: hidden;
  width: calc(100% - ${r.xx_large} * 2);
`,l=a.div`
  display: grid;
  grid-template-columns: auto 1fr;
  justify-items: end;
  padding-top: 0;
  padding-bottom: ${r.medium_small};
`,m=a.div`
  display: flex;
  align-items: center;
  gap: ${r.medium};
`,p=a.div`
  margin-bottom: 48px;
`,g=a.div`
  margin-bottom: 50px;
`,c=a.div`
  display: flex;
  flex-direction: row;
  gap: ${r.small};
  align-items: center;
`,f=a.span`
  display: flex;
  flex-direction: row;
  align-items: center;
  font-family: 'Equionor', sans-serif;
  font-size: 16px;
  font-weight: 500;
  padding: 0;

  > p {
    line-height: normal;
    height: min-content;
  }
`,u=a.div`
  display: flex;
  flex-direction: row;
  position: absolute;
  bottom: 0;
  left: 0;
  padding: ${r.large};
  background: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0) 0%,
    ${t.ui.background__default.rgba} 20%
  );
  // Remove padding when setting width
  width: calc(100% - (${r.large}) * 2);
`,x=a(i)`
  width: auto;
  font-size: 14px;
  padding: ${r.small};
  border-radius: 5px;
  &:hover {
    border-radius: 5px;
    align-items: center;
  }
`,b=a(e)`
  font-size: 14px;
  color: ${t.interactive.primary__resting.rgba};
`;export{b as AccordionText,g as BodyContainer,u as BtnContainer,x as Button,s as Container,m as HeadingContainer,f as ReleaseNoteTypeContainer,c as RightContainer,p as TitleContainer,l as TopContainer};
